net.corda.node.utilities.registration

## Class NetworkRegistrationHelper

- net.corda.node.utilities.registration.NetworkRegistrationHelper

-     public class NetworkRegistrationHelper

  This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using `interface NetworkRegistrationService`. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

  See Also:
    config.certificatesDirectory, PKCS10CertificationRequest, `interface NetworkRegistrationService`, Keystore, config.certificatesDirectory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NetworkRegistrationHelper.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NetworkRegistrationHelper.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkRegistrationHelper(NodeConfiguration config, NetworkRegistrationService certService)` This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using `interface NetworkRegistrationService`. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildKeystore()`
    `NetworkRegistrationService` | `getCertService()`
    `NodeConfiguration` | `getConfig()`

- - ### Field Detail

    - #### Companion

          public static NetworkRegistrationHelper.Companion Companion

  - ### Constructor Detail

    - #### NetworkRegistrationHelper

          public NetworkRegistrationHelper(NodeConfiguration config,
                                           NetworkRegistrationService certService)

      This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using `interface NetworkRegistrationService`. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

      See Also:
        config.certificatesDirectory, PKCS10CertificationRequest, `interface NetworkRegistrationService`, Keystore, config.certificatesDirectory

  - ### Method Detail

    - #### buildKeystore

          public void buildKeystore()

    - #### getConfig

          public NodeConfiguration getConfig()

    - #### getCertService

          public NetworkRegistrationService getCertService()